Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

DOC: moved redame into own file (also updated the content)

  • Loading branch information...
commit 1447310c2afd5fe14bbe13ef6ce391e2e36dc704 1 parent 6cfe894
Ilan Schnell authored
Showing with 23 additions and 29 deletions.
  1. +21 −0 README.rst
  2. +0 −1  README.txt
  3. +2 −28 setup.py
View
21 README.rst
@@ -0,0 +1,21 @@
+==========================================
+pyface: traits-capable windowing framework
+==========================================
+
+The pyface project contains a toolkit-independent GUI abstraction layer,
+which is used to support the "visualization" features of the Traits package.
+Thus, you can write code in terms of the Traits API (views, items, editors,
+etc.), and let pyface and your selected toolkit and back-end take care of
+the details of displaying them.
+
+The following GUI backends are supported:
+
+- wxPython
+- PyQt
+- PySide
+
+
+Prerequisites
+-------------
+If you want to run pyface, you must also install
+`traits <https://github.com/enthought/traits>`_.
View
1  README.txt
@@ -1 +0,0 @@
-The TraitsGUI project, a part of the Enthought Tool Suite.
View
30 setup.py
@@ -1,29 +1,6 @@
-#!/usr/bin/env python
-#
# Copyright (c) 2008-2011 by Enthought, Inc.
# All rights reserved.
-"""
-Traits-capable windowing framework.
-
-The TraitsGUI project contains a toolkit-independent GUI abstraction layer
-(known as Pyface), which is used to support the "visualization" features of
-the Traits package. Thus, you can write code in terms of the Traits API
-(views, items, editors, etc.), and let TraitsGUI and your selected toolkit
-and back-end take care of the details of displaying them.
-
-To display Traits-based user interfaces, in addition to the TraitsGUI project,
-you must install one of the following combinations of packages:
-
-- Traits, TraitsBackendWX, and wxPython
-- Traits, TraitsBackendQt, and PyQt
-
-Prerequisites
--------------
-If you want to build TraitsGUI from source, you must first install
-`setuptools <http://pypi.python.org/pypi/setuptools/0.6c8>`_.
-
-"""
from setuptools import setup, find_packages
@@ -33,9 +10,6 @@
execfile('setup_data.py', setup_data)
INFO = setup_data['INFO']
-# Pull the description values for the setup keywords from our file docstring.
-DOCLINES = __doc__.split("\n")
-
setup(
author = 'David C. Morrill, et al.',
author_email = 'dmorrill@enthought.com',
@@ -54,12 +28,12 @@
Topic :: Software Development
Topic :: Software Development :: Libraries
""".splitlines() if len(c.split()) > 0],
- description = DOCLINES[1],
+ description = 'traits-capable windowing framework',
+ long_description = open('README.rst').read(),
download_url = ('http://www.enthought.com/repo/ets/pyface-%s.tar.gz' %
INFO['version']),
install_requires = INFO['install_requires'],
license = 'BSD',
- long_description = '\n'.join(DOCLINES[3:]),
maintainer = 'ETS Developers',
maintainer_email = 'enthought-dev@enthought.com',
name = 'pyface',
Please sign in to comment.
Something went wrong with that request. Please try again.